## NMDeviceVxlan

NMDeviceVxlan

## Functions

const char * | nm_device_vxlan_get_hw_address ()
gboolean | nm_device_vxlan_get_carrier ()
NMDevice * | nm_device_vxlan_get_parent ()
guint | nm_device_vxlan_get_id ()
const char * | nm_device_vxlan_get_group ()
const char * | nm_device_vxlan_get_local ()
guint | nm_device_vxlan_get_src_port_min ()
guint | nm_device_vxlan_get_src_port_max ()
guint | nm_device_vxlan_get_dst_port ()
gboolean | nm_device_vxlan_get_learning ()
guint | nm_device_vxlan_get_ageing ()
guint | nm_device_vxlan_get_tos ()
guint | nm_device_vxlan_get_ttl ()
guint | nm_device_vxlan_get_limit ()
gboolean | nm_device_vxlan_get_proxy ()
gboolean | nm_device_vxlan_get_rsc ()
gboolean | nm_device_vxlan_get_l2miss ()
gboolean | nm_device_vxlan_get_l3miss ()

## Properties

guint | ageing | Read
gboolean | carrier | Read
guint | dst-port | Read
gchar * | group | Read
gchar * | hw-address | Read
guint | id | Read
gboolean | l2miss | Read
gboolean | l3miss | Read
gboolean | learning | Read
guint | limit | Read
gchar * | local | Read
NMDevice * | parent | Read
gboolean | proxy | Read
gboolean | rsc | Read
guint | src-port-max | Read
guint | src-port-min | Read
guchar | tos | Read
guchar | ttl | Read

## Types and Values

#define | NM_DEVICE_VXLAN_HW_ADDRESS
#define | NM_DEVICE_VXLAN_CARRIER
#define | NM_DEVICE_VXLAN_PARENT
#define | NM_DEVICE_VXLAN_ID
#define | NM_DEVICE_VXLAN_GROUP
#define | NM_DEVICE_VXLAN_LOCAL
#define | NM_DEVICE_VXLAN_SRC_PORT_MIN
#define | NM_DEVICE_VXLAN_SRC_PORT_MAX
#define | NM_DEVICE_VXLAN_LEARNING
#define | NM_DEVICE_VXLAN_AGEING
#define | NM_DEVICE_VXLAN_TOS
#define | NM_DEVICE_VXLAN_TTL
#define | NM_DEVICE_VXLAN_LIMIT
#define | NM_DEVICE_VXLAN_PROXY
#define | NM_DEVICE_VXLAN_RSC
#define | NM_DEVICE_VXLAN_L2MISS
#define | NM_DEVICE_VXLAN_L3MISS
#define | NM_DEVICE_VXLAN_DST_PORT
| NMDeviceVxlan

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceVxlan

## Implemented Interfaces

NMDeviceVxlan implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_device_vxlan_get_hw_address ()

    const char *
    nm_device_vxlan_get_hw_address (NMDeviceVxlan *device);

Gets the hardware (MAC) address of the NMDeviceVxlan

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

Since: 1.2

### nm_device_vxlan_get_carrier ()

    gboolean
    nm_device_vxlan_get_carrier (NMDeviceVxlan *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceVxlan |

#### Returns

`TRUE` if the device has carrier.

Since: 1.2

### nm_device_vxlan_get_parent ()

    NMDevice *
    nm_device_vxlan_get_parent (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.2

### nm_device_vxlan_get_id ()

    guint
    nm_device_vxlan_get_id (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the device's VXLAN ID.

Since: 1.2

### nm_device_vxlan_get_group ()

    const char *
    nm_device_vxlan_get_group (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

The unicast destination IP address or the multicast IP address joined

Since: 1.2

### nm_device_vxlan_get_local ()

    const char *
    nm_device_vxlan_get_local (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the source IP address to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_src_port_min ()

    guint
    nm_device_vxlan_get_src_port_min (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the minimum UDP source port

Since: 1.2

### nm_device_vxlan_get_src_port_max ()

    guint
    nm_device_vxlan_get_src_port_max (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the maximum UDP source port

Since: 1.2

### nm_device_vxlan_get_dst_port ()

    guint
    nm_device_vxlan_get_dst_port (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the UDP destination port

Since: 1.2

### nm_device_vxlan_get_learning ()

    gboolean
    nm_device_vxlan_get_learning (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether address learning is enabled

Since: 1.2

### nm_device_vxlan_get_ageing ()

    guint
    nm_device_vxlan_get_ageing (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the lifetime in seconds of FDB entries learnt by the kernel

Since: 1.2

### nm_device_vxlan_get_tos ()

    guint
    nm_device_vxlan_get_tos (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the TOS value to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_ttl ()

    guint
    nm_device_vxlan_get_ttl (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the time-to-live value to use in outgoing packets

Since: 1.2

### nm_device_vxlan_get_limit ()

    guint
    nm_device_vxlan_get_limit (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

the maximum number of entries that can be added to the forwarding table

Since: 1.2

### nm_device_vxlan_get_proxy ()

    gboolean
    nm_device_vxlan_get_proxy (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether ARP proxy is turned on

Since: 1.2

### nm_device_vxlan_get_rsc ()

    gboolean
    nm_device_vxlan_get_rsc (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether route short circuit is turned on

Since: 1.2

### nm_device_vxlan_get_l2miss ()

    gboolean
    nm_device_vxlan_get_l2miss (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether netlink LL ADDR miss notifications are generated

Since: 1.2

### nm_device_vxlan_get_l3miss ()

    gboolean
    nm_device_vxlan_get_l3miss (NMDeviceVxlan *device);

#### Parameters

device | a NMDeviceVxlan |

#### Returns

whether netlink IP ADDR miss notifications are generated

Since: 1.2

## Types and Values

### NM_DEVICE_VXLAN_HW_ADDRESS

    #define NM_DEVICE_VXLAN_HW_ADDRESS    "hw-address"

### NM_DEVICE_VXLAN_CARRIER

    #define NM_DEVICE_VXLAN_CARRIER       "carrier"

### NM_DEVICE_VXLAN_PARENT

    #define NM_DEVICE_VXLAN_PARENT        "parent"

### NM_DEVICE_VXLAN_ID

    #define NM_DEVICE_VXLAN_ID            "id"

### NM_DEVICE_VXLAN_GROUP

    #define NM_DEVICE_VXLAN_GROUP         "group"

### NM_DEVICE_VXLAN_LOCAL

    #define NM_DEVICE_VXLAN_LOCAL         "local"

### NM_DEVICE_VXLAN_SRC_PORT_MIN

    #define NM_DEVICE_VXLAN_SRC_PORT_MIN  "src-port-min"

### NM_DEVICE_VXLAN_SRC_PORT_MAX

    #define NM_DEVICE_VXLAN_SRC_PORT_MAX  "src-port-max"

### NM_DEVICE_VXLAN_LEARNING

    #define NM_DEVICE_VXLAN_LEARNING      "learning"

### NM_DEVICE_VXLAN_AGEING

    #define NM_DEVICE_VXLAN_AGEING        "ageing"

### NM_DEVICE_VXLAN_TOS

    #define NM_DEVICE_VXLAN_TOS           "tos"

### NM_DEVICE_VXLAN_TTL

    #define NM_DEVICE_VXLAN_TTL           "ttl"

### NM_DEVICE_VXLAN_LIMIT

    #define NM_DEVICE_VXLAN_LIMIT         "limit"

### NM_DEVICE_VXLAN_PROXY

    #define NM_DEVICE_VXLAN_PROXY         "proxy"

### NM_DEVICE_VXLAN_RSC

    #define NM_DEVICE_VXLAN_RSC           "rsc"

### NM_DEVICE_VXLAN_L2MISS

    #define NM_DEVICE_VXLAN_L2MISS        "l2miss"

### NM_DEVICE_VXLAN_L3MISS

    #define NM_DEVICE_VXLAN_L3MISS        "l3miss"

### NM_DEVICE_VXLAN_DST_PORT

    #define NM_DEVICE_VXLAN_DST_PORT      "dst-port"

### NMDeviceVxlan

    typedef struct _NMDeviceVxlan NMDeviceVxlan;

## Property Details

### The `“ageing”` property

      “ageing”                   guint

The lifetime in seconds of FDB entries learnt by the kernel.

Owner: NMDeviceVxlan

Flags: Read

Default value: 0

Since: 1.2

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Owner: NMDeviceVxlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“dst-port”` property

      “dst-port”                 guint

The UDP destination port used to communicate with the remote VXLAN tunnel endpoint.

Owner: NMDeviceVxlan

Flags: Read

Allowed values: <= 65535

Default value: 0

Since: 1.2

### The `“group”` property

      “group”                    gchar *

The unicast destination IP address used in outgoing packets when the destination link layer address is not known in the VXLAN device forwarding database or the multicast IP address joined.

Owner: NMDeviceVxlan

Flags: Read

Default value: NULL

Since: 1.2

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Owner: NMDeviceVxlan

Flags: Read

Default value: NULL

Since: 1.2

### The `“id”` property

      “id”                       guint

The device's VXLAN ID.

Owner: NMDeviceVxlan

Flags: Read

Allowed values: <= 16777215

Default value: 0

Since: 1.2

### The `“l2miss”` property

      “l2miss”                   gboolean

Whether netlink LL ADDR miss notifications are generated.

Owner: NMDeviceVxlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“l3miss”` property

      “l3miss”                   gboolean

Whether netlink IP ADDR miss notifications are generated.

Owner: NMDeviceVxlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“learning”` property

      “learning”                 gboolean

Whether unknown source link layer addresses and IP addresses are entered into the VXLAN device forwarding database.

Owner: NMDeviceVxlan

Flags: Read

Default value: TRUE

Since: 1.2

### The `“limit”` property

      “limit”                    guint

The maximum number of entries that can be added to the forwarding table.

Owner: NMDeviceVxlan

Flags: Read

Default value: 0

Since: 1.2

### The `“local”` property

      “local”                    gchar *

The source IP address to use in outgoing packets.

Owner: NMDeviceVxlan

Flags: Read

Default value: NULL

Since: 1.2

### The `“parent”` property

      “parent”                   NMDevice *

The devices's parent device.

Owner: NMDeviceVxlan

Flags: Read

Since: 1.2

### The `“proxy”` property

      “proxy”                    gboolean

Whether ARP proxy is turned on.

Owner: NMDeviceVxlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“rsc”` property

      “rsc”                      gboolean

Whether route short circuit is turned on.

Owner: NMDeviceVxlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“src-port-max”` property

      “src-port-max”             guint

The maximum UDP source port used to communicate with the remote VXLAN tunnel endpoint.

Owner: NMDeviceVxlan

Flags: Read

Allowed values: <= 65535

Default value: 0

Since: 1.2

### The `“src-port-min”` property

      “src-port-min”             guint

The minimum UDP source port used to communicate with the remote VXLAN tunnel endpoint.

Owner: NMDeviceVxlan

Flags: Read

Allowed values: <= 65535

Default value: 0

Since: 1.2

### The `“tos”` property

      “tos”                      guchar

The TOS value to use in outgoing packets.

Owner: NMDeviceVxlan

Flags: Read

Default value: 0

Since: 1.2

### The `“ttl”` property

      “ttl”                      guchar

The time-to-live value to use in outgoing packets.

Owner: NMDeviceVxlan

Flags: Read

Default value: 0

Since: 1.2